Skip to main content
POST
/
api
/
yativo-card
/
{yativoCardId}
/
cards
/
physical
/
order
curl -X POST 'https://crypto-api.yativo.com/api/yativo-card/yvc_01HX9KZMB3F7VNQP8R2WDGT4EI/cards/physical/order' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "shipping_address": {
      "line1": "123 Main Street",
      "line2": "Apt 4B",
      "city": "New York",
      "state": "NY",
      "postal_code": "10001",
      "country": "US"
    },
    "personalization": {
      "cardholder_name": "JANE DOE"
    }
  }'
{
  "status": "success",
  "message": "Physical card order placed successfully",
  "data": {
    "order_id": "ord_01HX9KZMB3F7VNQP8R2WDGT4EN",
    "yativo_card_id": "yvc_01HX9KZMB3F7VNQP8R2WDGT4EI",
    "card_type": "physical",
    "status": "processing",
    "estimated_delivery": "2026-04-02",
    "shipping_address": {
      "line1": "123 Main Street",
      "city": "New York",
      "state": "NY",
      "postal_code": "10001",
      "country": "US"
    },
    "created_at": "2026-03-26T12:00:00Z"
  }
}
Authorization
string
required
Bearer token: Bearer YOUR_ACCESS_TOKEN
yativoCardId
string
required
The Yativo Card account ID.
shipping_address
object
required
The shipping address for the physical card.
personalization
object
Optional card personalization options such as cardholder name to emboss.
curl -X POST 'https://crypto-api.yativo.com/api/yativo-card/yvc_01HX9KZMB3F7VNQP8R2WDGT4EI/cards/physical/order' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "shipping_address": {
      "line1": "123 Main Street",
      "line2": "Apt 4B",
      "city": "New York",
      "state": "NY",
      "postal_code": "10001",
      "country": "US"
    },
    "personalization": {
      "cardholder_name": "JANE DOE"
    }
  }'
{
  "status": "success",
  "message": "Physical card order placed successfully",
  "data": {
    "order_id": "ord_01HX9KZMB3F7VNQP8R2WDGT4EN",
    "yativo_card_id": "yvc_01HX9KZMB3F7VNQP8R2WDGT4EI",
    "card_type": "physical",
    "status": "processing",
    "estimated_delivery": "2026-04-02",
    "shipping_address": {
      "line1": "123 Main Street",
      "city": "New York",
      "state": "NY",
      "postal_code": "10001",
      "country": "US"
    },
    "created_at": "2026-03-26T12:00:00Z"
  }
}